using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IBankOperatorLogic
    {
        List<BankOperatorViewModel>? ReadList(BankOperatorSearchModel? model);
        BankOperatorViewModel? ReadElement(BankOperatorSearchModel model);
        bool Create(BankOperatorBindingModel model);
        bool Update(BankOperatorBindingModel model);
        bool Delete(BankOperatorBindingModel model);
    }
}
